function cvxtest2()
% CVXTEST2() shows original Dantzig's LP example

% Transportation costs
c = [ 2.5 1.7 1.8  2.5 1.8 1.4 ];
% Supplies
supply_sea = 325;
supply_san = 575;
% Demands
demand_ny = 325;
demand_ch = 300;
demand_to = 275;
%
cvx_begin
    variable x(6)
    minimize(c*x)
    subject to
        x >= 0 % nelze vozit zporn poet palet
        x(1)+x(2)+x(3) <= supply_sea
        x(4)+x(5)+x(6) <= supply_san
        x(1)+x(4) >= demand_ny
        x(2)+x(5) >= demand_ch
        x(3)+x(6) >= demand_to
cvx_end
%
x
%
end

