function cvxtest2m()
% CVXTEST2() shows original Dantzig's LP example in matrix form

% Transportation costs
c = [ 2.5 1.7 1.8;
      2.5 1.8 1.4 ];
% Supplies
supply_sea = 325;
supply_san = 575;
supply = [ supply_sea; supply_san ];
% Demands
demand_ny = 325;
demand_ch = 300;
demand_to = 275;
demand = [ demand_ny; demand_ch; demand_to ];
%
cvx_begin
    variable x(2,3)
    minimize(sum(sum(c.*x)))
    subject to
        x >= 0
        sum(x,2) <= supply
        sum(x,1) >= demand'
cvx_end
%
x
%
end

